> For the complete documentation index, see [llms.txt](https://docs.tako.so/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tako.so/monetization/open-curation/for-lens-dapp/contract-specification/enums-and-structs.md).

# Enums and Structs

## enum AuditStatus

<table><thead><tr><th width="193">Enum</th><th>Description</th></tr></thead><tbody><tr><td>Pending</td><td>The bid is currently being curated.</td></tr><tr><td><del>Refuse</del></td><td><del>The bid has been refused.</del>  <br>This field does not apply to Open Curation</td></tr><tr><td>Pass</td><td>The bid has concluded curation, and the curator with the best curation effect has already claimed the reward.</td></tr><tr><td>Cancel</td><td>The curate time for the bid has passed. And there are no curators curating for the bid</td></tr></tbody></table>

## struct BidData

<table><thead><tr><th width="198.33333333333331">Parameter</th><th width="121">Type</th><th>Description</th></tr></thead><tbody><tr><td>contentId</td><td>string</td><td>The id of original content</td></tr><tr><td>bidToken</td><td>address</td><td>The address of token. Default to 0x0000000000000000000000000000000000000000 , namely Matic</td></tr><tr><td>bidAmount</td><td>uint256</td><td>The amount of bidToken</td></tr></tbody></table>

## struct Content

<table><thead><tr><th width="198.33333333333331">Parameter</th><th width="121">Type</th><th>Description</th></tr></thead><tbody><tr><td>contentId</td><td>string</td><td>The id of original content</td></tr><tr><td>bidToken</td><td>address</td><td>Token address. Default to 0x0000000000000000000000000000000000000000 , namely Matic</td></tr><tr><td>bidAddress</td><td>address</td><td>The bid creator’s EVM-compatible address</td></tr><tr><td>bidAmount</td><td>uint256</td><td>The amount of bidToken</td></tr><tr><td>bidTime</td><td>uint256</td><td>The bid posted time</td></tr><tr><td>curatorId</td><td>uint256</td><td>The bid accepter(curator)’s Lens profile id</td></tr><tr><td>curatorContentId</td><td>uint256</td><td>The id of curated publication.</td></tr><tr><td>status</td><td>AuditState</td><td>The state of the bid. “Pending”, “Refuse”, “Pass”, “Cancel”</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tako.so/monetization/open-curation/for-lens-dapp/contract-specification/enums-and-structs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
